<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilitiesDelegate::test::TestHttpPut Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html">capabilitiesDelegate</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html">TestHttpPut</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilitiesDelegate::test::TestHttpPut Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_testable_http_put_8h_source.html">TestableHttpPut.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilitiesDelegate::test::TestHttpPut:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put_inherit__map" id="alexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put_interface.html" title="Minimal interface for making HTTP PUT requests. " alt="" coords="5,5,202,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilitiesDelegate::test::TestHttpPut:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put_coll__map" id="alexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put_interface.html" title="Minimal interface for making HTTP PUT requests. " alt="" coords="5,5,202,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a279e1b6a4162956f02b4385c4e30b3ac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#a279e1b6a4162956f02b4385c4e30b3ac">TestHttpPut</a> ()</td></tr>
<tr class="separator:a279e1b6a4162956f02b4385c4e30b3ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af081db2840c563e47c2aa4a73fcf79be"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#af081db2840c563e47c2aa4a73fcf79be">setResponseCode</a> (long httpResponseCode)</td></tr>
<tr class="separator:af081db2840c563e47c2aa4a73fcf79be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c0864154ea2546d469b1bd8a9fe7711"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#a0c0864154ea2546d469b1bd8a9fe7711">setResponseBody</a> (std::string httpResponseBody)</td></tr>
<tr class="separator:a0c0864154ea2546d469b1bd8a9fe7711"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18df84fefbf237ebeb89575cf1dfa29c"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#a18df84fefbf237ebeb89575cf1dfa29c">getRequestUrl</a> ()</td></tr>
<tr class="separator:a18df84fefbf237ebeb89575cf1dfa29c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a691a39cdc25e45711b98a5b6b9938719"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#a691a39cdc25e45711b98a5b6b9938719">getRequestData</a> ()</td></tr>
<tr class="separator:a691a39cdc25e45711b98a5b6b9938719"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a96ffc538438a1fee1fe1c9a781add7"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#a7a96ffc538438a1fee1fe1c9a781add7">getRequestHeaders</a> ()</td></tr>
<tr class="separator:a7a96ffc538438a1fee1fe1c9a781add7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa98335574ce0122dcc95ee377c6f2f5f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#aa98335574ce0122dcc95ee377c6f2f5f">reset</a> ()</td></tr>
<tr class="separator:aa98335574ce0122dcc95ee377c6f2f5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">HttpPutInterface method overrides.</div></td></tr>
<tr class="memitem:a3be5ecb23e1841a90b67ddd551d54982"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_h_t_t_p_response.html">HTTPResponse</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#a3be5ecb23e1841a90b67ddd551d54982">doPut</a> (const std::string &amp;url, const std::vector&lt; std::string &gt; &amp;headers, const std::string &amp;data) override</td></tr>
<tr class="separator:a3be5ecb23e1841a90b67ddd551d54982"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put_interface.html">alexaClientSDK::avsCommon::utils::libcurlUtils::HttpPutInterface</a></td></tr>
<tr class="memitem:ace9e561a6b8d5acb626ac756185c37fb inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put_interface.html#ace9e561a6b8d5acb626ac756185c37fb">~HttpPutInterface</a> ()=default</td></tr>
<tr class="memdesc:ace9e561a6b8d5acb626ac756185c37fb inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor to assure proper cleanup of derived types.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put_interface.html#ace9e561a6b8d5acb626ac756185c37fb">More...</a><br /></td></tr>
<tr class="separator:ace9e561a6b8d5acb626ac756185c37fb inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A test HttpPut handle that will take the HTTP request and send back a response that you want to test with. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a279e1b6a4162956f02b4385c4e30b3ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a279e1b6a4162956f02b4385c4e30b3ac">&#9670;&nbsp;</a></span>TestHttpPut()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilitiesDelegate::test::TestHttpPut::TestHttpPut </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3be5ecb23e1841a90b67ddd551d54982"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3be5ecb23e1841a90b67ddd551d54982">&#9670;&nbsp;</a></span>doPut()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_h_t_t_p_response.html">HTTPResponse</a> alexaClientSDK::capabilitiesDelegate::test::TestHttpPut::doPut </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>headers</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Perform an HTTP Put request returning the response body as a string. This method blocks for the duration of the request.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">url</td><td>The URL to send the PUT to. </td></tr>
    <tr><td class="paramname">headers</td><td>vector of strings to add in the header. </td></tr>
    <tr><td class="paramname">data</td><td>The PUT data to send in the request. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An object describing the response to the PUT request. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put_interface.html#a9b1454cd596334d5089984e28f745e55">alexaClientSDK::avsCommon::utils::libcurlUtils::HttpPutInterface</a>.</p>

</div>
</div>
<a id="a691a39cdc25e45711b98a5b6b9938719"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a691a39cdc25e45711b98a5b6b9938719">&#9670;&nbsp;</a></span>getRequestData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilitiesDelegate::test::TestHttpPut::getRequestData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Gets the HTTP request data.</p>
<dl class="section return"><dt>Returns</dt><dd>The HTTP request data. </dd></dl>

</div>
</div>
<a id="a7a96ffc538438a1fee1fe1c9a781add7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a96ffc538438a1fee1fe1c9a781add7">&#9670;&nbsp;</a></span>getRequestHeaders()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; std::string &gt; alexaClientSDK::capabilitiesDelegate::test::TestHttpPut::getRequestHeaders </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Gets the HTTP request headers.</p>
<dl class="section return"><dt>Returns</dt><dd>The HTTP request headers. </dd></dl>

</div>
</div>
<a id="a18df84fefbf237ebeb89575cf1dfa29c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18df84fefbf237ebeb89575cf1dfa29c">&#9670;&nbsp;</a></span>getRequestUrl()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilitiesDelegate::test::TestHttpPut::getRequestUrl </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Gets the HTTP request URL.</p>
<dl class="section return"><dt>Returns</dt><dd>The HTTP request URL. </dd></dl>

</div>
</div>
<a id="aa98335574ce0122dcc95ee377c6f2f5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa98335574ce0122dcc95ee377c6f2f5f">&#9670;&nbsp;</a></span>reset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilitiesDelegate::test::TestHttpPut::reset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Resets all the data associated with this test instance. </p>

</div>
</div>
<a id="a0c0864154ea2546d469b1bd8a9fe7711"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c0864154ea2546d469b1bd8a9fe7711">&#9670;&nbsp;</a></span>setResponseBody()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilitiesDelegate::test::TestHttpPut::setResponseBody </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>httpResponseBody</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Sets the HTTP response body to be returned.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">httpResponseBody</td><td>The HTTP response body to be returned. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af081db2840c563e47c2aa4a73fcf79be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af081db2840c563e47c2aa4a73fcf79be">&#9670;&nbsp;</a></span>setResponseCode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilitiesDelegate::test::TestHttpPut::setResponseCode </td>
          <td>(</td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>httpResponseCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Sets the HTTP response code to be returned.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">httpResponseCode</td><td>The HTTP response code to be returned. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/CapabilitiesDelegate/test/Common/<a class="el" href="_testable_http_put_8h_source.html">TestableHttpPut.h</a></li>
<li>/workplace/avs-device-sdk/CapabilitiesDelegate/test/Common/<a class="el" href="_testable_http_put_8cpp.html">TestableHttpPut.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
